| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Classes | Enumerations | Functions
Package IG.Lib.Old

## Classes
interface | IReporter
| Interface from which all reporters inherit. More...
class | Reporter
| Base IG class for reporting, tracing and logging; provides a global reporter and a basis for creation of local reporters. This class is identical to the IGLib class (copied directly). IN EFA, refer to the derived class Reporter! More...

## Enumerations
enum | ReportType { ReportType.Error = 1, ReportType.Warning, ReportType.Info, ReportType.Undefined }
| Defines the type of a report. More...
enum | ReportLevel { ReportLevel.Off = 0, ReportLevel.Error, ReportLevel.Warning, ReportLevel.Info, ReportLevel.Verbose }
| Defines the level of output when launching reports. More...

## Functions
delegate void | ReportDelegate (Reporter reporter, ReportType messagetype, string errorlocation, string errormessage)
| Reports an error. More...
delegate string | ReportLocationDelegate (Reporter reporter, ReportType messagetype, string location, Exception ex)
| Assembles the error location desctiption. More...
delegate string | ReportMessageDelegate (Reporter reporter, ReportType messagetype, string basicmessage, Exception ex)
| Assembles error description (without any decoration, this is added by talling methods). More...
delegate void | ReserveReportErrorDelegate (Reporter reporter, ReportType messagetype, string location, string message, Exception ex, Exception ex1)
| Reports errors occurred in error reporting methods when exceptions are thrown within them. Methods assigned to these delegates must be bullet proof. They must report the original error (being reported when an exception occurred) as well as the exception that occurred uin the error reporting method. More...

## Enumeration Type Documentation

enum IG.Lib.Old.ReportType

Defines the type of a report.

Enumerator
Error |
Warning |
Info |
Undefined |

enum IG.Lib.Old.ReportLevel

Defines the level of output when launching reports.

Enumerator
Off |
Error |
Warning |
Info |
Verbose |

## Function Documentation

delegate void IG.Lib.Old.ReportDelegate | ( | Reporter | reporter,
|  | ReportType | messagetype,
|  | string | errorlocation,
|  | string | errormessage
| ) |  |

Reports an error.

Parameters

  reporter | Reference to the reporter class where all s necessary data is fond. In particular, the Obj member contains a user-set object reference used by the delegate functions.
  errorlocation | User-defined string containing (sometimes supplemental to the Exception object) specification of error location (e.g. a class or module name)
  errormessage | User-provided string containing (sometimes supplemental to the Exception object) error description.

Referenced by IG.Lib.Old.Reporter.SetDefaultReportDlg().

delegate string IG.Lib.Old.ReportLocationDelegate | ( | Reporter | reporter,
|  | ReportType | messagetype,
|  | string | location,
|  | Exception | ex
| ) |  |

Assembles the error location desctiption.

Parameters

  reporter | Reference to the reporter class where all s necessary data is fond. In particular, the Obj member contains a user-set object reference used by the delegate functions.
  location | User-provided string containing (sometimes supplemental to the Exception object) specification of error location (e.g. a class or module name)
  ex | Exception to be reported.
  DebugMode | A flag indicating whether the debug mode reporting (usually more verbose) is performed.

Returns
  A string describing error location.

Referenced by IG.Forms.ReporterForms.SetDefaultReportLocationDlg(), IG.Lib.ReporterConsole.SetDefaultReportLocationDlg(), and IG.Lib.Old.Reporter.SetDefaultReportLocationDlg().

delegate string IG.Lib.Old.ReportMessageDelegate | ( | Reporter | reporter,
|  | ReportType | messagetype,
|  | string | basicmessage,
|  | Exception | ex
| ) |  |

Assembles error description (without any decoration, this is added by talling methods).

Parameters

  reporter | Reference to the reporter class where all s necessary data is fond. In particular, the Obj member contains a user-set object reference used by the delegate functions.
  basicmessage | User-provided string containing (sometimes supplemental to the Exception object) error description.
  ex | Exception to be reported.
  DebugMode | >A flag indicating whether the debug mode reporting (usually more verbose) is performed.

Returns
  Error description string (error message).

Referenced by IG.Forms.ReporterForms.SetDefaultReportMessageDlg(), IG.Lib.ReporterConsole.SetDefaultReportMessageDlg(), and IG.Lib.Old.Reporter.SetDefaultReportMessageDlg().

delegate void IG.Lib.Old.ReserveReportErrorDelegate | ( | Reporter | reporter,
|  | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex,
|  | Exception | ex1
| ) |  |

Reports errors occurred in error reporting methods when exceptions are thrown within them. Methods assigned to these delegates must be bullet proof. They must report the original error (being reported when an exception occurred) as well as the exception that occurred uin the error reporting method.

Parameters

  reporter | Reference to the reporter class where all s necessary data is fond. In particular, the Obj member contains a user-set object reference used by the delegate functions. This object should be used with special care within reserve reporting functions because it may be corrupted.
  location | User-provided string containing (sometimes supplemental to the Exception object) specification of error location (e.g. a class or module name)
  message | User-provided string containing (sometimes supplemental to the Exception object) error description.
  ex | Original exception that was being reported.
  ex1 | Exception that was thrwn by the error reporting function.

Referenced by IG.Forms.ReporterForms.SetDefaultReserveReportErrorDlg(), and IG.Lib.Old.Reporter.SetDefaultReserveReportErrorDlg().